Overview | Namespace | Component | Index | Help
| Oracle WLOC 10.3 Service Metadata Schema Reference (Version 1.0)
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | FRAMES | NO FRAMES

## bea.com/loc/metadata
element connection-info

Model
  `<connection-info>
  name, description?, factory-name?, protocol, host-address, port, url-path? | jmx-service-url, classpath?, initial-context-factory?, protocol-provider-package?, username?, password?
  </connection-info>`

Disallowed substitutions (block)
  none (extensions, restrictions and substitutions are allowed)

Substitution group exclusion (final)
  none (extensions and restrictions are allowed)

Content Type
  declared by type connectionInfoType
  element-only content, not nillable.

Usage
  This element can be the child of element connection-infos.

Documentation

      Information for connecting to a JMX endpoint.

Nested Element Summary
`string` | `name` The name of the connection information which is referenced by the action properties.
`string` | `description` optional A user defined description of this connection information
`string` | `factory-name` optional The name of a connectionFactoryType which will be used to create the connection.
choice |
`string` | `protocol` The protocol that will be used to create the connection, e.
`string` | `host-address` The host address of the managed entity
`int` | `port` The port that the managed entity is listening on
`string` | `url-path` optional A url path for the connection
`string` | `jmx-service-url` For generic JVMs this specifies a JMX Service URL to use for harvesting.
`classpathType` | `classpath` optional Classpath information that will be added to the classloader that is used to create the connection.
`string` | `initial-context-factory` optional InitialContextFactory used in setting up JNDI properties when making a JMX Connection to WebLogic Server
`string` | `protocol-provider-package` optional The package name for the JMX protocol provider needed to make a client conection to the managed instance
`string` | `username` optional Username credential needed to access the managed instance
`string` | `password` optional Password for the specified username.

Overview | Namespace | Component | Index | Help
| Oracle WLOC 10.3 Service Metadata Schema Reference (Version 1.0)
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | FRAMES | NO FRAMES

Version: 10.3